function add_areacodes() {
    var areacodes = Array();

    $.each($('#areacode').val().split(','), function(index, areacode){
        if (! /^\d{3}$/.test(areacode)) {
            alert('Each areacode must be 3 digits.');
            return false;
        }
        if ($('img[rel='+areacode+']').length > 0) {
            alert('Areacode '+areacode+' already exists.');
            return false;
        }
        areacodes.push(areacode);
    });

    $('#add_btn').click(function(){});
    $('#del_btn').click(function(){});

    $.ajax({ type     : 'POST'
           , url      : 'areacodes.cgi'
           , dataType : 'json'
           , data     : { 'action': 'add', 'areacodes': areacodes.join(',') }
           , async    : false
           , error    : function(request, status, error) { /*console.log(error);*/ }
           , success  : function(json, status) {
                           if (json.success == true) {
                               alert('The areacodes have been added.');
                               var $tabs = $('#tabs').tabs();
                               $tabs.tabs('load', 3);
                           }
                           else {
                               alert(json.error);
                           }
                       }
    });
    return true;
}

function del_areacodes() {
    if ($('input.areacode:checked').length == 0) {
	alert('Please select one or more areacodes to delete.');
	return false;
    }
    if (confirm('Are you sure you wish to delete the selected areacodes?')) {
        var areacodes = Array();

        $('#add_btn').click(function(){});
        $('#del_btn').click(function(){});

        $('input.areacode:checked').each(function(){
            areacodes.push($(this).attr('rel'));
        });

        $.ajax({ type     : 'POST'
               , url      : 'areacodes.cgi'
               , dataType : 'json'
               , data     : { 'action': 'delete', 'areacodes': areacodes.join(',') }
               , async    : false
               , error    : function(request, status, error) { /*console.log(error);*/ }
               , success  : function(json, status) {
                               if (json.success == true) {
                                   alert('The selected areacodes have been deleted.');
                                   var $tabs = $('#tabs').tabs();
                                   $tabs.tabs('load', 3);
                               }
                               else {
                                   alert(json.error);
                               }
                           }
        });
        return true;
    }
    return false;
}

